Bug 26193 - Update request: nvidia340-340.108-2.mga7.nonfree
Summary: Update request: nvidia340-340.108-2.mga7.nonfree
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA7-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks: 26202
  Show dependency treegraph
 
Reported: 2020-02-13 18:30 CET by Thomas Backlund
Modified: 2020-02-18 15:07 CET (History)
3 users (show)

See Also:
Source RPM: nvidia340
CVE:
Status comment:


Attachments

Description Thomas Backlund 2020-02-13 18:30:20 CET
added support for kernel 5.5 series, the same fixes have been in Cauldron for ~4 days without reported issues so far...


SRPM:
nvidia340-340.108-2.mga7.nonfree.src.rpm

i586:
dkms-nvidia340-340.108-2.mga7.nonfree.i586.rpm
nvidia340-cuda-opencl-340.108-2.mga7.nonfree.i586.rpm
nvidia340-devel-340.108-2.mga7.nonfree.i586.rpm
nvidia340-doc-html-340.108-2.mga7.nonfree.i586.rpm
x11-driver-video-nvidia340-340.108-2.mga7.nonfree.i586.rpm

x86_64:
dkms-nvidia340-340.108-2.mga7.nonfree.x86_64.rpm
nvidia340-cuda-opencl-340.108-2.mga7.nonfree.x86_64.rpm
nvidia340-devel-340.108-2.mga7.nonfree.x86_64.rpm
nvidia340-doc-html-340.108-2.mga7.nonfree.x86_64.rpm
x11-driver-video-nvidia340-340.108-2.mga7.nonfree.x86_64.rpm
Comment 1 ben mcmonagle 2020-02-14 22:30:15 CET
HP Compaq 8510w mobile workstation

VGA compatible controller: NVIDIA Corporation G84GLM [Quadro FX 570M] (rev a1)

uname -a
Linux localhost.localdomain 5.4.17-desktop-1.mga7 #1 SMP Sat Feb 1 21:57:04 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux


T urpmi dkms-nvidia340 x11-driver-video-nvidia340 nvidia340-doc-html nvidia340-devel nvidia340-cuda-opencl 
Marking nvidia340-doc-html as manually installed, it won't be auto-orphaned
writing /var/lib/rpm/installed-through-deps.list
To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Release (distrib1)")
  lib64vdpau-devel               1.2          3.mga7        x86_64  
  lib64x11-devel                 1.6.7        1.mga7        x86_64  
  lib64xau-devel                 1.0.9        1.mga7        x86_64  
  lib64xcb-devel                 1.13.1       1.mga7        x86_64  
  lib64xcb-screensaver0          1.13.1       1.mga7        x86_64  
  lib64xcb-xf86dri0              1.13.1       1.mga7        x86_64  
  lib64xcb-xtest0                1.13.1       1.mga7        x86_64  
  lib64xcb-xvmc0                 1.13.1       1.mga7        x86_64  
  lib64xdmcp-devel               1.1.3        1.mga7        x86_64  
  lib64xext-devel                1.3.4        1.mga7        x86_64  
  libpthread-stubs               0.4          2.mga7        x86_64  
  x11-proto-devel                2018.4       4.mga7        noarch  
(medium "Core Updates (distrib3)")
  lib64bsd-devel                 0.9.1        3.1.mga7      x86_64  
(medium "Nonfree Updates Testing (distrib15)")
  dkms-nvidia340                 340.108      2.mga7.nonfr> x86_64  
  nvidia340-cuda-opencl          340.108      2.mga7.nonfr> x86_64  
  nvidia340-devel                340.108      2.mga7.nonfr> x86_64  
  nvidia340-doc-html             340.108      2.mga7.nonfr> x86_64  
  x11-driver-video-nvidia340     340.108      2.mga7.nonfr> x86_64  
115MB of additional disk space will be used.
69MB of packages will be retrieved.
Proceed with the installation of the 18 packages? (Y/n) y

Creating symlink /var/lib/dkms/nvidia340/340.108-2.mga7.nonfree/source ->
                 /usr/src/nvidia340-340.108-2.mga7.nonfree

DKMS: add Completed.

Preparing kernel 5.4.17-desktop-1.mga7 for module build:
(This is not compiling a kernel, just preparing kernel symbols)
Storing current .config to be restored when complete
Running Generic preparation routine
make mrproper....(bad exit status: 2)
using /proc/config.gz
make oldconfig....(bad exit status: 2)
make prepare....(bad exit status: 2)

Building module:
cleaning build area....(bad exit status: 2)
'make' -j2 SYSSRC=/lib/modules/5.4.17-desktop-1.mga7/build module...................
cleaning build area....(bad exit status: 2)
cleaning kernel tree (make mrproper)....(bad exit status: 2)

DKMS: build Completed.

nvidia340.ko.xz:
 - Installation
   - Installing to /lib/modules/5.4.17-desktop-1.mga7/dkms/drivers/char/drm/

depmod.......

DKMS: install Completed.

-------- Uninstall Beginning --------
Module:  nvidia340
Version: 340.108-1.mga7.nonfree
Kernel:  5.1.7-desktop-1.mga7 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

nvidia340.ko.xz:
 - Uninstallation
   - Deleting from: /lib/modules/5.1.7-desktop-1.mga7/dkms/drivers/char/drm/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod......

DKMS: uninstall Completed.

-------- Uninstall Beginning --------
Module:  nvidia340
Version: 340.108-1.mga7.nonfree
Kernel:  5.4.17-desktop-1.mga7 (x86_64)
-------------------------------------

Status: This module version was INACTIVE for this kernel.
depmod......

DKMS: uninstall Completed.

------------------------------
Deleting module version: 340.108-1.mga7.nonfree
completely from the DKMS tree.

reboot

boot up - ok, 
desktop presented ok
firefox - ok

CC: (none) => westel

Comment 2 ben mcmonagle 2020-02-14 22:47:58 CET
HP Compaq 8510w mobile workstation

VGA compatible controller: NVIDIA Corporation G84GLM [Quadro FX 570M] (rev a1)

uname -a
Linux localhost.localdomain 5.4.17-desktop-1.mga7 #1 SMP Sun Feb 2 00:12:01 UTC 2020 i686 i686 i386 GNU/Linux


urpmi dkms-nvidia340 x11-driver-video-nvidia340 nvidia340-doc-html nvidia340-devel nvidia340-cuda-opencl 
To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Release (distrib1)")
  libpthread-stubs               0.4          2.mga7        i586    
  libvdpau-devel                 1.2          3.mga7        i586    
  libx11-devel                   1.6.7        1.mga7        i586    
  libxau-devel                   1.0.9        1.mga7        i586    
  libxcb-composite0              1.13.1       1.mga7        i586    
  libxcb-damage0                 1.13.1       1.mga7        i586    
  libxcb-devel                   1.13.1       1.mga7        i586    
  libxcb-dpms0                   1.13.1       1.mga7        i586    
  libxcb-record0                 1.13.1       1.mga7        i586    
  libxcb-res0                    1.13.1       1.mga7        i586    
  libxcb-screensaver0            1.13.1       1.mga7        i586    
  libxcb-xf86dri0                1.13.1       1.mga7        i586    
  libxcb-xtest0                  1.13.1       1.mga7        i586    
  libxcb-xvmc0                   1.13.1       1.mga7        i586    
  libxdmcp-devel                 1.1.3        1.mga7        i586    
  libxext-devel                  1.3.4        1.mga7        i586    
  x11-proto-devel                2018.4       4.mga7        noarch  
(medium "Core Updates (distrib3)")
  libbsd-devel                   0.9.1        3.1.mga7      i586    
(medium "Nonfree Updates Testing (distrib15)")
  dkms-nvidia340                 340.108      2.mga7.nonfr> i586    
  nvidia340-cuda-opencl          340.108      2.mga7.nonfr> i586    
  nvidia340-devel                340.108      2.mga7.nonfr> i586    
  nvidia340-doc-html             340.108      2.mga7.nonfr> i586    
  x11-driver-video-nvidia340     340.108      2.mga7.nonfr> i586    
174MB of additional disk space will be used.
39MB of packages will be retrieved.
Proceed with the installation of the 23 packages? (Y/n) y


Creating symlink /var/lib/dkms/nvidia340/340.108-2.mga7.nonfree/source ->
                 /usr/src/nvidia340-340.108-2.mga7.nonfree

DKMS: add Completed.

Preparing kernel 5.4.17-desktop-1.mga7 for module build:
(This is not compiling a kernel, just preparing kernel symbols)
/usr/sbin/dkms: line 936: warning: command substitution: ignored null byte in input
Storing current .config to be restored when complete
Running Generic preparation routine
make mrproper....(bad exit status: 2)
using /proc/config.gz
make oldconfig....(bad exit status: 2)
make prepare....(bad exit status: 2)

Building module:
cleaning build area....(bad exit status: 2)
'make' -j2 SYSSRC=/lib/modules/5.4.17-desktop-1.mga7/build module...................
cleaning build area....(bad exit status: 2)
cleaning kernel tree (make mrproper)....(bad exit status: 2)

DKMS: build Completed.

nvidia340.ko.xz:
 - Installation
   - Installing to /lib/modules/5.4.17-desktop-1.mga7/dkms/drivers/char/drm/

depmod.......

DKMS: install Completed.

----------------------------------------------------------------------
More information on package x11-driver-video-nvidia340-340.108-2.mga7.nonfree.i586
This driver is for GeForce 8xxx, 9xxx and 100 to 415 cards.

Use XFdrake to configure X to use the correct NVIDIA driver. Any needed
packages will be automatically installed if not already present.
1. Run XFdrake as root.
2. Go to the Graphics Card list.
3. Select your card (it is usually already autoselected).
4. Answer any questions asked and then quit.

If you do not want to use XFdrake, see README.manual-setup.

reboot

boot up - ok, 
desktop presented ok
firefox - ok
Comment 3 PC LX 2020-02-16 10:37:33 CET
Installed and tested without issues.

Tested for two days of desktop usage, some steam and non-steam games, WebGL and glmark2.



System: Mageia 7, x86_64, Plasma DE, LXQt DE, Intel CPU, nVidia Geforce 210 using nvidia340 proprietary driver.



$ uname -a
Linux marte 5.4.17-desktop-1.mga7 #1 SMP Sat Feb 1 21:57:04 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
$ lspcidrake | grep -i geforce
Card:NVIDIA GeForce 8100 to GeForce 415: NVIDIA Corporation|GT218 [GeForce 210] [DISPLAY_VGA] (rev: a2)
$ rpm -qa | grep nvidia | sort
dkms-nvidia340-340.108-2.mga7.nonfree
nvidia340-doc-html-340.108-2.mga7.nonfree
x11-driver-video-nvidia340-340.108-2.mga7.nonfree
$ dkms status
nvidia340, 340.108-2.mga7.nonfree, 5.4.17-desktop-1.mga7, x86_64: installed 
$ glmark2
=======================================================
    glmark2 2017.07
=======================================================
    OpenGL Information
    GL_VENDOR:     NVIDIA Corporation
    GL_RENDERER:   GeForce 210/PCIe/SSE2
    GL_VERSION:    3.3.0 NVIDIA 340.108
=======================================================
<SNIP>

CC: (none) => mageia

Thomas Backlund 2020-02-16 19:51:53 CET

Blocks: (none) => 26202

Comment 4 Thomas Backlund 2020-02-18 13:07:16 CET
Setting OK by tests in comments 1-3

Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs
Whiteboard: (none) => MGA7-64-OK

Thomas Backlund 2020-02-18 14:30:43 CET

Keywords: (none) => advisory

Comment 5 Mageia Robot 2020-02-18 15:07:16 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2020-0053.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.